> For the complete documentation index, see [llms.txt](https://developer.textmaster.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.textmaster.com/reference/transactions.md).

# Transactions

## List transactions

{% hint style="info" %}
**OAuth:** This endpoint requires one of the following scopes: `transaction:manage`, `transaction:write` or `transaction:read`.
{% endhint %}

{% openapi src="<https://app.textmaster.com/api-docs/v1/clients/specs.yaml>" path="/v1/clients/transactions" method="get" %}
<https://app.textmaster.com/api-docs/v1/clients/specs.yaml>
{% endopenapi %}

#### Parameters

| Name    | Type             | Description                                                                 |
| ------- | ---------------- | --------------------------------------------------------------------------- |
| `types` | array of strings | The transaction types to filter against. See list of supported types below. |

#### Transaction types

You will find below the list of supported transaction types to filter against:

```
Transaction::CashWithdrawal::BundleCancellation
Transaction::CashWithdrawal::BundleRefund
Transaction::CreditExchange::GivenByManager
Transaction::CreditExchange::GivenToSubordinate
Transaction::CreditPayment::AdminLoan
Transaction::CreditPayment::AdminRefund
Transaction::CreditPayment::CompletingAJob
Transaction::CreditPayment::ExpiringWallet
Transaction::CreditPayment::FinancialCompensation
Transaction::CreditPurchase::AdminLevy
Transaction::CreditPurchase::BuyingACreditBundle
Transaction::CreditPurchase::EarningFromReferredClient
Transaction::CreditPurchase::ExpiringCredits
Transaction::CreditPurchase::FinancialCompensation
Transaction::CreditPurchase::RedeemingAPromoCode
Transaction::CreditPurchase::Rollback
Transaction::NonCreditPurchase::InHouseServiceFee
Transaction::NonCreditPurchase::SubscriptionPrepayment
Transaction::NonCreditSpending::SubscriptionInstallment
Transaction::ProjectSpending::AdminProjectLevy
Transaction::ProjectSpending::AdminProjectRefund
Transaction::ProjectSpending::CancelingAProject
Transaction::ProjectSpending::LaunchingAProject
Transaction::ProjectSpending::RepoDocWithCanceledProject
```

#### Code samples

```shell
curl -G "https://api.textmaster.com/v1/clients/transactions" \
  --data-urlencode "types[]=Transaction%3A%3AProjectSpending%3A%3ACancelingAProject" \
  --data-urlencode "types[]=Transaction%3A%3AProjectSpending%3A%3ALaunchingAProject" \
  -H "Authorization: Bearer 0c950ba36bc15a8a10a6d179ca3db112e0cd5e29dca1aa03f4d2b53f01c06db8"
```

## List invoices

{% hint style="info" %}
**OAuth:** This endpoint requires one of the following scopes: `transaction:manage`, `transaction:write` or `transaction:read`.
{% endhint %}

#### Parameters

| Name    | Type             | Description                                                                         |
| ------- | ---------------- | ----------------------------------------------------------------------------------- |
| `types` | array of strings | The invoice transaction types to filter against. See list of supported types below. |

#### Transaction types

You will find below the list of supported transaction types that include an invoice, to filter against:

```
Transaction::CashWithdrawal::BundleCancellation
Transaction::CashWithdrawal::BundleRefund
Transaction::CreditPurchase::BuyingACreditBundle
Transaction::NonCreditPurchase::InHouseServiceFee
Transaction::NonCreditPurchase::SubscriptionPrepayment
```

{% openapi src="<https://app.textmaster.com/api-docs/v1/clients/specs.yaml>" path="/v1/clients/invoices" method="get" %}
<https://app.textmaster.com/api-docs/v1/clients/specs.yaml>
{% endopenapi %}

#### Code samples

```shell
curl -G "https://api.textmaster.com/v1/clients/invoices" \
  --data-urlencode "types[]=Transaction%3A%3ACashWithdrawal%3A%3ABundleCancellation" \
  --data-urlencode "types[]=Transaction%3A%3ACashWithdrawal%3A%3ABundleRefund" \
  --data-urlencode "types[]=Transaction%3A%3ACreditPurchase%3A%3ABuyingACreditBundle" \
  --data-urlencode "types[]=Transaction%3A%3ANonCreditPurchase%3A%3ABuyingAInHouseServiceFee" \
  --data-urlencode "types[]=Transaction%3A%3ANonCreditPurchase%3A%3ABuyingASubscriptionPrepayment" \
  -H "Authorization: Bearer d8484b69ffe1f749ce720cb370bc65d9fa3e8c3b6e0d19144db676678b0988db"
```

## List receipts

{% hint style="info" %}
**OAuth:** This endpoint requires one of the following scopes: `transaction:manage`, `transaction:write` or `transaction:read`.
{% endhint %}

{% openapi src="<https://app.textmaster.com/api-docs/v1/clients/specs.yaml>" path="/v1/clients/receipts" method="get" %}
<https://app.textmaster.com/api-docs/v1/clients/specs.yaml>
{% endopenapi %}

#### Code samples

```shell
curl -G "https://api.textmaster.com/v1/clients/receipts" \
  -H "Authorization: Bearer 1c1a2c26e3f9a890bd232a987f6b538ded6f48f6a02796e54a7ce405eeeb9b19"
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.textmaster.com/reference/transactions.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
